summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 673e583)
raw | patch | inline | side by side (parent: 673e583)
author | Junio C Hamano <junkio@cox.net> | |
Fri, 23 Mar 2007 20:24:22 +0000 (13:24 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 23 Mar 2007 20:29:55 +0000 (13:29 -0700) |
Otherwise you would be in trouble if your GIT_DIR has IFS letters in it.
Signed-off-by: Junio C Hamano <junkio@cox.net>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 8eaea7cd19598710769e78cb4eb1ecd34a707286..936b4a4b835e51410ccfbb37f4205accbade4422 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
bad=$(git-rev-parse --verify refs/bisect/bad) &&
good=$(git-rev-parse --sq --revs-only --not \
$(cd "$GIT_DIR" && ls refs/bisect/good-*)) &&
- rev=$(eval "git-rev-list --bisect $good $bad -- $(cat $GIT_DIR/BISECT_NAMES)") || exit
+ rev=$(eval "git-rev-list --bisect $good $bad -- $(cat "$GIT_DIR/BISECT_NAMES")") || exit
if [ -z "$rev" ]; then
echo "$bad was both good and bad"
exit 1